RUBIKS_OPTIMAL(1)

NAME
rubiks_optimal - optimal solver for 3x3x3 Rubik's cube

SYNOPSIS
rubiks_optimal

DESCRIPTION

Solves a 3x3x3 Rubik's cube, entered at a prompt.

CUBE FORMAT
A solved cube is represented as
     UF UR UB UL DF DR DB DL FR FL BR BL UFR URB UBL ULF DRF DFL DLB DBR where U,D,F,B,L,R stand for up,down,front,back,left,right and the two-colored cubies are listed before the three-colored corner cubies. To input a scrambled cube, first give the cubie that's in the UF location, then the cubie in the UR location, and so forth, according to this list above. For example, "cube in a cube" would be
     UF UR RD RB LU LF DB DL FR UB DF BL UFR RFD RDB RBU LFU LUB DLB LDF This input should all be on one line.